<route lang="json5" type="page">
	{
	layout: 'default',
	style: {
	navigationStyle: 'custom',
	navigationBarTitleText: '厂级制度详情',
	},
	}
</route>
<template>
	<view :class="{ 'gray': appStore.isGray == 1 }">
		<wd-navbar left-text="返回" left-arrow
			custom-style="padding-top: var(--status-bar-height, 0); background-image: linear-gradient(to right, #1890ff, #096dd9); color: #fff;"
			@click-left="handleClickLeft">
		</wd-navbar>
		<view class="container">
			<wd-card title="制度">
				<view @click="onlinePreview(`/pages/onlinePreview/detail?data=${dataSource.sszd}`)">
					{{dataSource.zdmc}}
				</view>
			</wd-card>
			<wd-card title="解读材料">
				<view @click="onlinePreview(`/pages/onlinePreview/detail?data=${dataSource.jdwj}`)">
					{{dataSource.jdwj}}
				</view>
			</wd-card>
		</view>
	</view>
</template>

<script setup>
	import {
		ref
	} from 'vue'
	import {
		onLoad
	} from '@dcloudio/uni-app';
	import {
		useAppStore
	} from '@/store'
	import {
		queryDataById
	} from '@/api/pages/file'

	const appStore = useAppStore()
	const dataSource = ref({})
	var ifH5 = false;

	const handleClickLeft = () => {
		uni.navigateBack()
	}

	const onlinePreview = (url) => {
		uni.navigateTo({
			url
		})
	}

	const getData = (e) => {
		queryDataById(e).then(res => {
			dataSource.value = res.result
		})
	}

	onLoad((options) => {
		getData(options.data)
		//#ifdef H5 || MP-WEIXIN
		ifH5 = true;
		//#endif
	})
</script>

<style lang="scss" scoped>
	.container {
		padding: calc(10px + var(--status-bar-height, 0)) 5px 0 5px;
		min-height: 100vh;
		background-color: #f7f7f7;
	}
</style>